pw_buffer Struct Reference
Stream

## Data Fields

struct spa_buffer * | buffer
| the spa buffer More...
void * | user_data
| user data attached to the buffer More...
uint64_t | size
| This field is set by the user and the sum of all queued buffer is returned in the time info. More...

## Detailed Description

Examples
  audio-src.c, tutorial4.c, tutorial5.c, video-dsp-play.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## buffer

struct spa_buffer* pw_buffer::buffer

the spa buffer

Examples
  audio-src.c, tutorial4.c, tutorial5.c, video-dsp-play.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## user_data

void* pw_buffer::user_data

user data attached to the buffer

## size

uint64_t pw_buffer::size

This field is set by the user and the sum of all queued buffer is returned in the time info.

The documentation for this struct was generated from the following file:

- pipewire/stream.h